function E0090()
    MNA()CMU("CS_RebirthFountain")FAI(0)
end
function E0091()
    MNA()CMU("CS_RebirthFountain")FAI(1)
end
function E0092()
    MNA()CMU("CS_RebirthFountain")FAI(2)
end
function E0093()
    MNA()CMU("CS_RebirthFountain")FAI(3)
end
function E0094()
    MNA()CMU("CS_RebirthFountain")FAI(4)
end

function GoSoapCastleStair()
    PRI()FAO(0)TRA("CS_soapcastle_stair","E0090",46,21,0,19)
end

function AngelLeft()
    PRI()MS4("天使的雕像，")NOD()
    CAT("\n上面似乎写了什么...")NOD()
    CLR()CAT("但由于光线很暗，")NOD()
    CAT("\n你看不清上面的任何文字")NOD()
end

function AngelRight()
    PRI()MS4("天使的雕像，")NOD()
    CAT("\n上面似乎写了什么...")NOD()
    CLR()CAT("但由于光线很暗，")NOD()
    CAT("\n你看不清上面的任何文字")NOD()
end

function RevivePuuTala()
    KEY()
    CMU("XXXX")
    SNP("CS_tap_animate",19,13,0,"mainLayer","Tap1")
    SNP("CS_puu_animate",6,20,1,"mainLayer","Puu1")
    SNP("CS_soapwalker_animate",33,20,0,"mainLayer","Tala1")
    ANP("Puu1","defeated")
    ANP("Tala1","defeated")
    HMC()
    WAI(64)
    FAC("tap_normal")MS3("还得把他们从雕像状态")
    CAT("\n中复活过来。")NOD()CLO()
    WAI(64)
    SOU("CS_056_splash")
    WAI(32)
    SOU("CS_056_splash")
    WAI(32)
    FAI(2)
    CMU("CS_RebirthFountain")
    WAI(64)
    FAC("tap_normal")MS3("别睡了，")
    CAT("\n你们俩个傻子。")NOD()CLO()
    WAI(64)
    ANP("Puu1","shaking")
    ANP("Tala1","shaking")
    WAI(60)
    ANP("Puu1","wake")
    ANP("Tala1","wake")
    WAI(120)
    FAC("puu_normal")MS3("\n我在哪？")NOD()CLR()
    FAC("soapwalker_normal")CAT("\n这个地方我好像有印象。")NOD()CLR()
    FAC("tap_normal")CAT("这里是城堡底下的复活之泉")NOD()
    CAT("\n你们原本就是肥皂雕像，")NOD()
    CAT("\n然后被这个泉水的力量所复活。")NOD()CLR()
    CAT("\n现在只不过又复活了一次就是。")NOD()CLR()
    FAC("puu_normal")CAT("\n我的咪咪卡们怎么样了？")NOD()CLR()
    FAC("tap_normal")CAT("我已经帮你抓住了。")NOD()
    CAT("\n不用担心...")NOD()CLR()
    FAC("soapwalker_normal")CAT("对哦！现在差不多已经是晚上了，")NOD()
    CAT("\n该去做点好玩的了。")NOD()CLO()
    ANP("Tala1","leave")
    WAI(60)
    FAC("puu_normal")MS3("那是什么，我也要去！")NOD()
    ANP("Puu1","leave")
    CAT("\n喂！等等我！")NOD()CLO()
    WAI(60)
    FAC("tap_normal")MS3("\n喂！我还有话要说！")NOD()CLR()
    ANP("Tap1","dead_fish_eyes")
    FAC("tap_...")CAT("(这两个活宝...")
    CAT("\n我就不应该复活他们。)")NOD()CLO()
    WAI(32)
    FAO(0)
    SMC()
    TRA("CS_soapcastle_jail","TalaBack",3,12)
end